# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Oct 18 01:24:57 2022
# ------------------------------------------------

package:
  name: oauthlib
  version: 3.2.2
source:
  sha256: 9859c40929662bec5d64f34d01c99e093149682a3f38915dc0655d5a633dd918
  url: https://pypi.io/packages/source/o/oauthlib/oauthlib-3.2.2.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/oauthlib_1666056362788/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_18
    - libgomp 12.2.0 h65d4601_18
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.39.4 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.3 pyhd8ed1ab_0
    - python 3.10.6 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.0 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022e h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - blinker
    - cryptography
    - pyjwt >=1.0.0
    - python >=3.6
test:
  commands:
    - pip check
  imports:
    - oauthlib
    - oauthlib.oauth1
    - oauthlib.oauth1.rfc5849
    - oauthlib.oauth1.rfc5849.endpoints
    - oauthlib.oauth2
    - oauthlib.oauth2.rfc6749
    - oauthlib.oauth2.rfc6749.clients
    - oauthlib.oauth2.rfc6749.endpoints
    - oauthlib.oauth2.rfc6749.grant_types
  requires:
    - pip
about:
  dev_url: https://github.com/idan/oauthlib
  doc_url: https://oauthlib.readthedocs.io
  home: https://github.com/idan/oauthlib
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A generic, spec-compliant, thorough implementation of the OAuth request-signing
    logic
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jan-janssen
    - pmlandwehr
